Skip to main content
GET
List event webhooks

Authorizations

Authorization
string
header
required

An opaque Omnara personal or organization bearer token.

Path Parameters

orgID
string
required
Pattern: ^org_[a-z2-7]{26}$
projectID
string
required

Project ID (proj_...).

Pattern: ^proj_[a-z2-7]{26}$

Query Parameters

scope_type
enum<string>
Available options:
project,
profile,
agent
agent_profile_id
string
Pattern: ^aprf_[a-z2-7]{26}$
agent_id
string
Pattern: ^agt_[a-z2-7]{26}$
limit
integer<int32>
default:50

Maximum number of items to return in one page.

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from a previous response's next_cursor. Omit for the first page.

Maximum string length: 1024

Response

Webhooks matching the requested selection.

data
object[]
required
next_cursor
string | null
required